package com.yxproject.start.api;

//import com.yxproject.start.service.FindCbCountByDealdateViewService;
import com.yxproject.start.service.CardBodyService;
import com.yxproject.start.service.FindTaskByDealdateViewService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

/**
 * Created by Administrator on 2018/11/21.
 */
@RestController
@RequestMapping("yingxin")
public class YingxinApi {
    @Autowired
    private FindTaskByDealdateViewService findTaskByDealdateViewService;

//    private FindCbCountByDealdateViewService findCbCountByDealdateViewService;
    @Autowired
    private CardBodyService cardBodyService;

    @RequestMapping("getGroupInfo")
    public List<Map<String, Object>> getGroupInfo() {
        List<Map<String, Object>> list = findTaskByDealdateViewService.getAccGroupData();
        return list;
    }
    @RequestMapping("getCbCountInfo")
    public  List<Map<String,Object>> getCbCountInfo() {
        List<Map<String, Object>> list =cardBodyService.getCbCount();
        return list;
    }
    @RequestMapping("getCbBodyCountInfo")
    public List<Map<String,Object>> getCbBodyCountInfo() {
        List<Map<String,Object>> list=cardBodyService.getCbBodyCount();
        return list;
    }
    }

